package com.steering.pss.plnsaleord.jggxpln.model;

/**
 * 数据库表PLN_ZY_JG_READY所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2016-06-29
 */
@SuppressWarnings("serial")
public class PlnZyJgReadyEntity implements java.io.Serializable {
    /**
     * 接箍工序订单编号
     */
    private String proPlanId = "";
    /**
     * 订单属性分组号
     */
    private String jgGroupId = "";
    /**
     * 预排序号
     */
    private String readyPlanNo = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 接箍产线代码
     */
    private String plineCode = "";
    /**
     * 接箍产线描述
     */
    private String plineName = "";
    /**
     * 接箍料需求号
     */
    private String reqBlId = "";
    /**
     * 接箍备料码
     */
    private String codeJgBl = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 外径
     */
    private String actDimater = "";
    /**
     * 壁厚
     */
    private String actHeight = "";
    /**
     * 长度
     */
    private String actLen = "";
    /**
     * 分配支数
     */
    private String allotNum = "";
    /**
     * 分配重量
     */
    private String allotWt = "";
    /**
     * 是否利库记录
     */
    private String ifMatchOdd = "";
    /**
     * 脱单支数
     */
    private String unmatchNum = "";
    /**
     * 脱单重量
     */
    private String unmatchWt = "";
    /**
     * 是否已做正式炉计划
     */
    private String ifDoHeatPlan = "";
    /**
     * 创建时间
     */
    private String createTime = "";

    /**
     * 接箍工序订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 接箍工序订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 订单属性分组号
     * @return value
     */
    public String getJgGroupId() {
        return jgGroupId;
    }

    /**
     * 订单属性分组号
     * @param jgGroupId value
     */
    public void setJgGroupId(String jgGroupId) {
        this.jgGroupId = jgGroupId;
    }

    /**
     * 预排序号
     * @return value
     */
    public String getReadyPlanNo() {
        return readyPlanNo;
    }

    /**
     * 预排序号
     * @param readyPlanNo value
     */
    public void setReadyPlanNo(String readyPlanNo) {
        this.readyPlanNo = readyPlanNo;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 接箍产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 接箍产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 接箍产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 接箍产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 接箍料需求号
     * @return value
     */
    public String getReqBlId() {
        return reqBlId;
    }

    /**
     * 接箍料需求号
     * @param reqBlId value
     */
    public void setReqBlId(String reqBlId) {
        this.reqBlId = reqBlId;
    }

    /**
     * 接箍备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 接箍备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 外径
     * @return value
     */
    public String getActDimater() {
        return actDimater;
    }

    /**
     * 外径
     * @param actDimater value
     */
    public void setActDimater(String actDimater) {
        this.actDimater = actDimater;
    }

    /**
     * 壁厚
     * @return value
     */
    public String getActHeight() {
        return actHeight;
    }

    /**
     * 壁厚
     * @param actHeight value
     */
    public void setActHeight(String actHeight) {
        this.actHeight = actHeight;
    }

    /**
     * 长度
     * @return value
     */
    public String getActLen() {
        return actLen;
    }

    /**
     * 长度
     * @param actLen value
     */
    public void setActLen(String actLen) {
        this.actLen = actLen;
    }

    /**
     * 分配支数
     * @return value
     */
    public String getAllotNum() {
        return allotNum;
    }

    /**
     * 分配支数
     * @param allotNum value
     */
    public void setAllotNum(String allotNum) {
        this.allotNum = allotNum;
    }

    /**
     * 分配重量
     * @return value
     */
    public String getAllotWt() {
        return allotWt;
    }

    /**
     * 分配重量
     * @param allotWt value
     */
    public void setAllotWt(String allotWt) {
        this.allotWt = allotWt;
    }

    /**
     * 是否利库记录
     * @return value
     */
    public String getIfMatchOdd() {
        return ifMatchOdd;
    }

    /**
     * 是否利库记录
     * @param ifMatchOdd value
     */
    public void setIfMatchOdd(String ifMatchOdd) {
        this.ifMatchOdd = ifMatchOdd;
    }

    /**
     * 脱单支数
     * @return value
     */
    public String getUnmatchNum() {
        return unmatchNum;
    }

    /**
     * 脱单支数
     * @param unmatchNum value
     */
    public void setUnmatchNum(String unmatchNum) {
        this.unmatchNum = unmatchNum;
    }

    /**
     * 脱单重量
     * @return value
     */
    public String getUnmatchWt() {
        return unmatchWt;
    }

    /**
     * 脱单重量
     * @param unmatchWt value
     */
    public void setUnmatchWt(String unmatchWt) {
        this.unmatchWt = unmatchWt;
    }

    /**
     * 是否已做正式炉计划
     * @return value
     */
    public String getIfDoHeatPlan() {
        return ifDoHeatPlan;
    }

    /**
     * 是否已做正式炉计划
     * @param ifDoHeatPlan value
     */
    public void setIfDoHeatPlan(String ifDoHeatPlan) {
        this.ifDoHeatPlan = ifDoHeatPlan;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}